Skip to main content
PATCH
Partially update a customer

Authorizations

Authorization
string
header
required

Workspace API key sent as a bearer token: Authorization: Bearer failfast_.... Create keys in Settings -> Workspace -> API Keys.

Path Parameters

id
string<uuid>
required

A UUID string identifying this customer.

Body

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

custom_fields
unknown
is_active
boolean
credit_limit
string<decimal> | null
Pattern: ^-?\d{0,14}(?:\.\d{0,6})?$
customer_since
string<date> | null
stakeholder
string<uuid>
customer_status
string<uuid> | null

Response

200 - application/json
message
string
required

Human-readable outcome of the request.

error
boolean
required

true when the request failed.

Example:

false

data
object
required

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.